package com.mosty.spxl.service;

import com.mosty.base.model.dto.spxl.TbSpxlSpxlfaInsertDto;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfa;
import io.swagger.annotations.ApiOperation;

/**
 * @author dw
 * @since 2022/7/11
 * 视频巡逻方案-摄像头服务
 **/
public interface TbSpxlSpxlfaSxtService {

    @ApiOperation("添加摄像头配置信息")
    int insertEntity(TbSpxlSpxlfaInsertDto dto);

    @ApiOperation("修改摄像头配置信息")
    int updateSxtPz(TbSpxlSpxlfaInsertDto dto);

    @ApiOperation("删除方案的所有的配置信息")
    void deleteFaPz(String faid);

    @ApiOperation("查询摄像头配置信息")
    TbSpxlSpxlfa pzInfo(String faid);
}
